package com.dayou.enums;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2024/3/1
 * created with IntelliJ IDEA.
 */
public enum BusinessFileEnum implements CodeMsgEnumInterface<String,String>{

    STATEMENT_FILE(MainBusinessEnum.MAJOR_BUSINESS,"STATEMENT_FILE","大中型价值意见书"),
    REPORT_FILE(MainBusinessEnum.MAJOR_BUSINESS,"REPORT_FILE","大中型报告"),
    LETTER_FILE(MainBusinessEnum.MAJOR_BUSINESS,"LETTER_FILE","大中型复评函"),
    HOUSE_FILE(MainBusinessEnum.PERSONAL_BUSINESS,"HOUSE_FILE","房地产意见书"),
    SKILL_FILE(MainBusinessEnum.PERSONAL_BUSINESS,"SKILL_FILE","技术报告"),
    RESULT_FILE(MainBusinessEnum.PERSONAL_BUSINESS,"RESULT_FILE","结果报告")
    ;

    private MainBusinessEnum business;
    private String code;

    private String name;
    ;

    BusinessFileEnum(MainBusinessEnum business,String code, String name) {
        this.business = business;
        this.code = code;
        this.name = name;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getMsg() {
        return name;
    }
}
